Bug 1450485 - Automate method to order an Ansible Playbook Service from a button
Summary: Automate method to order an Ansible Playbook Service from a button
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: mkanoor
QA Contact: Dmitry Misharov
URL:
Whiteboard: automate:ansible:playbook:service:button
Depends On: 1449361
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-12 18:10 UTC by Satoe Imaishi
Modified: 2017-05-31 15:12 UTC (History)
9 users (show)

Fixed In Version: 5.8.0.15
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1449361
Environment:
Last Closed: 2017-05-31 15:12:24 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-05-12 18:18:55 UTC
New commit detected on ManageIQ/manageiq-content/fine:
https://github.com/ManageIQ/manageiq-content/commit/bace533c620591b3206fe11f8a6be5bdbd7df080

commit bace533c620591b3206fe11f8a6be5bdbd7df080
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Fri May 12 13:10:10 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri May 12 14:13:15 2017 -0400

    Merge pull request #113 from mkanoor/bz_1449361
    
    Order Ansible Playbook from a Custom Button using a Method
    (cherry picked from commit 3220db060e4f35e7908dbc66a1352a38dd0ffb4c)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1450485

 .../__methods__/order_ansible_playbook.rb          |  84 ++++++++++++++
 .../__methods__/order_ansible_playbook.yaml        |  12 ++
 .../Request.class/order_ansible_playbook.yaml      |  12 ++
 .../__methods__/order_ansible_playbook_spec.rb     | 128 +++++++++++++++++++++
 4 files changed, 236 insertions(+)
 create mode 100644 content/automate/ManageIQ/System/Request.class/__methods__/order_ansible_playbook.rb
 create mode 100644 content/automate/ManageIQ/System/Request.class/__methods__/order_ansible_playbook.yaml
 create mode 100644 content/automate/ManageIQ/System/Request.class/order_ansible_playbook.yaml
 create mode 100644 spec/content/automate/ManageIQ/System/Request.class/__methods__/order_ansible_playbook_spec.rb

Comment 3 Dmitry Misharov 2017-05-19 08:14:19 UTC
In the Object Details Section the System/Process/Request field should be set to Order_Ansible_Playbook. A service can be ordered via button. Verified in 5.8.0.15.20170517161141_119e6fd. But the credential is always picked always as "CFME Default Credential" or None.

Comment 4 Dmitry Misharov 2017-05-19 08:14:34 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1452557

Comment 6 errata-xmlrpc 2017-05-31 15:12:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.